package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 知识库类别
 * @author 13560
 * @TableName k_category
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KCategory implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 知识库类别名称
     */
    private String categoryname;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 更新时间
     */
    private Date updatetime;

    /**
     * 创建人
     */
    private String username;

    /**
     * 上级类别ID   0=根目录
     */
    private Integer higherupid;

    /**
     * 子目录自定义路径
     */
    private String path;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}