package com.ruoyi.system.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;


/**
 * 知识库类别
 * @author 13560
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KCategoryVO implements Serializable {
    /**
     * 
     */
    private Integer id;
    /**
     * 知识库类别名称
     */
    private String categoryname;

    /**
     * 上级类别ID   0=根目录
     */
    private Integer higherupid;

    /**
     * 子节点
     */
    List<KCategoryVO> children;


}