package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 知识库内容
 * @author 13560
 * @TableName k_content
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KContent implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 知识名称
     */
    private String kname;

    /**
     * 知识内容
     */
    private String kcontent;

    /**
     * 所属类别
     */
    private Integer categoryid;


    /**
     * 所属类别
     */
    @TableField(exist = false)
    private String  categoryname;


    /**
     * 创建人
     */
    private String username;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 修改时间
     */
    private Date updatetime;

    /**
     * 自定义路径
     */
    private String path;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}